############################################
#                                          #
#  (C) 2010-2011 Serghei Amelian           #
#  serghei (DOT) amelian (AT) gmail.com    #
#  (C) 2011-2012 Timothy Pearson           #
#  kb9vqf (AT) pearsoncomputing (DOT) net  #
#                                          #
#  Improvements and feedback are welcome   #
#                                          #
#  This file is released under GPL >= 2    #
#                                          #
############################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### (executable) tdefifteen

tde_add_executable( tdefifteen AUTOMOC

  SOURCES
        gameboard.cpp
        main.cpp
        mainwindow.cpp
  LINK
     tdeui-shared
     tdecore-shared
		
  DESTINATION ${BIN_INSTALL_DIR}
)


###### other data

tde_create_translated_desktop( tdefifteen.desktop )
